Subject: RE: bug#15047: 24.3.50; doc string of `find-listp-find-files' etc.

From: Drew Adams <[email-masked]>
Date: Sun, 1 May 2016 06:28:04 -0800 (GMT-08:00)

> "DIRECTORY-PREDICATE is used to decide whether to descend into
> directories.  It is a function which takes two arguments, the directory
> and its parent."
> 
> I think with this wording its obvious what DIRECTORY-PREDICATE it is
> applied to.

OK.

> I also think the word "whether" suggests how the boolean return value is
> interpreted: descent when the predicate returns non-nil (aka "yes").
> We could say that explicitly, sure, but I think it's worth it...

"Whether" does not imply that non-nil (aka "yes") means descend.
It can just as easily mean do not descend.  Yes, it's a predicate,
and yes, whether to descend is decided based on the return value.
But which return value means descend?  "Whether" tells you no
more than "predicate" or "if".

Admittedly, this is not very important.  Still, if we are going
to spend time and energy talking about this, we might as well
make it right.